Mail archive
alpine-aports

[alpine-aports] testing/freexl: new aport

From: Bjoern Schilberg <bjoern_at_intevation.de>
Date: Tue, 22 May 2018 20:51:18 +0200

---
 testing/freexl/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/freexl/APKBUILD
diff --git a/testing/freexl/APKBUILD b/testing/freexl/APKBUILD
new file mode 100644
index 0000000000..ad092db180
--- /dev/null
+++ b/testing/freexl/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Bjoern Schilberg <bjoern_at_intevation.de>
+# Maintainer: Bjoern Schilberg <bjoern_at_intevation.de>
+pkgname=freexl
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="FreeXL is an library to extract valid data from within an Excel (.xls) spreadsheet."
+url="https://www.gaia-gis.it/fossil/freexl/index"
+arch="x86_64"
+license="MPL 1.1, GPL v2.0, LGPL v2.1"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.gaia-gis.it/gaia-sins/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	./configure --prefix /usr
+	make -j1 || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -rf "$pkgdir"/usr/share/
+}
+sha512sums="86d742f58353be1f3ab683899a4d914845250b481acc078c769ef337d0a6ea24d25501a3e7c73b95904c6839ddd35f53e58ad4eee0c3b433caa84db0a8c6462b  freexl-1.0.5.tar.gz"
-- 
2.15.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue May 22 2018 - 20:51:18 GMT